# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "squire-sqlite3-sys"
version = "0.0.1-alpha.8"
build = "build.rs"
links = "sqlite3"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "External FFI bindings for the SQLite C API"
readme = "Readme.md"
keywords = [
    "sqlite",
    "ffi",
]
categories = ["external-ffi-bindings"]
license = "Apache-2.0"
repository = "https://github.com/silverlyra/squire"

[package.metadata.docs.rs]
features = [
    "bundled",
    "full",
    "serialized",
]
no-default-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]
targets = [
    "aarch64-apple-darwin",
    "aarch64-unknown-linux-gnu",
    "i686-unknown-linux-gnu",
    "x86_64-unknown-linux-gnu",
]

[features]
armor = []
authorization = []
auto-vacuum = []
bindgen = [
    "dep:bindgen",
    "dep:syn",
    "dep:prettyplease",
    "dep:proc-macro2",
    "dep:quote",
]
blob-io = []
bundled = [
    "dep:sqlite",
    "static",
]
column-metadata = []
common = [
    "core",
    "blob-io",
    "fts",
    "geo",
    "serialize",
    "snapshot",
    "stat4",
    "stat-vtab",
]
core = [
    "json",
    "vtab",
]
decltype = []
default = [
    "bundled",
    "common",
    "multi-thread",
]
extensions = []
fts = ["fts5"]
fts3 = []
fts5 = ["blob-io"]
full = [
    "common",
    "authorization",
    "extensions",
    "fts3",
    "memory-status",
    "metadata",
    "normalize-sql",
    "preupdate-hook",
    "progress-callback",
    "session",
    "soundex",
    "trace",
]
geo = [
    "geopoly",
    "rtree",
]
geopoly = ["vtab"]
json = []
memory-status = []
metadata = [
    "column-metadata",
    "decltype",
]
multi-thread = []
normalize-sql = []
page-vtab = ["vtab"]
preupdate-hook = []
progress-callback = []
rtree = ["vtab"]
serialize = []
serialized = ["multi-thread"]
session = ["preupdate-hook"]
shared-cache = ["multi-thread"]
snapshot = []
soundex = []
stat-vtab = ["vtab"]
stat4 = []
static = []
trace = []
utf-16 = []
vtab = []

[lib]
name = "squire_sqlite3_sys"
path = "src/lib.rs"

[build-dependencies.bindgen]
version = "^0.72"
optional = true

[build-dependencies.features]
version = "0.1.0-alpha.3"
features = [
    "metadata",
    "build",
]
package = "squire-sqlite3-features"

[build-dependencies.pkg-config]
version = "^0.3.32"
optional = true

[build-dependencies.prettyplease]
version = "^0.2"
optional = true

[build-dependencies.proc-macro2]
version = "^1.0"
optional = true

[build-dependencies.quote]
version = "^1.0"
optional = true

[build-dependencies.sqlite]
version = "3.51.3-alpha.3"
optional = true
package = "squire-sqlite3-src"

[build-dependencies.syn]
version = "^2.0"
features = [
    "full",
    "parsing",
    "printing",
]
optional = true
